mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.Assembly System.Runtime.InteropServices._AssemblyBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._AssemblyBuilder)) System.Runtime.InteropServices.ComVisible(true)

A dynamic assembly is an assembly that is created using the Reflection Emit APIs. The dynamic modules in the assembly are saved when the dynamic assembly is saved using the method. To generate an executable, the method must be called to identify the method that is the entry point to the assembly. Assemblies are saved as DLL by default, unless requests the generation of a console application or a Windows-based application.

If a dynamic assembly contains more than one dynamic module, the assembly's manifest file name should match the module's name that is specified as the first argument to .

Some methods on the base class such as GetModules and GetLoadedModules will not work correctly when called AssemblyBuilder objects. You can load the defined dynamic assembly and call the methods on the loaded assembly. For example, to ensure that resource modules are included in the returned module list, call GetModules on the loaded object.

The signing of a dynamic assembly using is not effective until the assembly is saved to disk. So, strong names will not work with transient dynamic assemblies.

To get an object, use the method.

Defines and represents a dynamic assembly.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  should not be the same as that of any other persistable module, standalone managed resource, or the standalone manifest file.

  The managed resources in the file are assumed to be public.

  The specified resource file must be in the directory where the assembly will be saved.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Adds an existing resource file to this assembly.

  The logical name of the resource. The physical file name (.resources file) to which the logical name is mapped. This should not include a path; the file must be in the same directory as the assembly to which it is added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  should not be the same as that of any other persistable module, standalone managed resource, or the standalone manifest file.

  Attributes can be specified for the managed resource.

  The specified resource file must be in the directory where the assembly will be saved.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Adds an existing resource file to this assembly.

  The logical name of the resource. The physical file name (.resources file) to which the logical name is mapped. This should not include a path; the file must be in the same directory as the assembly to which it is added. The resource attributes.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  To get the absolute path to the loaded manifest-containing file, use the property.

  Gets the location of the assembly, as specified originally (such as in an object).

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ModuleBuilder ``

  It is an error to define multiple dynamic modules with the same name in an assembly.

  The defined dynamic module is transient. The dynamic module is not saved, even if the parent dynamic assembly was created with .

  To suppress optimizations when debugging dynamic modules, apply the attribute to the dynamic assembly before calling . Create an instance of with the flag and apply it using the method. The attribute must be applied to the dynamic assembly. It has no effect if applied to the module.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a named transient dynamic module in this assembly.

  A representing the defined dynamic module.

  The name of the dynamic module. Must be less than 260 characters in length.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ModuleBuilder `` ``

  It is an error to define multiple dynamic modules with the same name in an assembly.

  The dynamic module is not saved, even if the parent dynamic assembly was created with .

  To suppress optimizations when debugging dynamic modules, apply the attribute to the dynamic assembly before calling . Create an instance of with the flag and apply it using the method. The attribute must be applied to the dynamic assembly. It has no effect if applied to the module.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a named transient dynamic module in this assembly and specifies whether symbol information should be emitted.

  A representing the defined dynamic module.

  The name of the dynamic module. Must be less than 260 characters in length. true if symbol information is to be emitted; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ModuleBuilder `` ``

  To define a persistable dynamic module, this assembly needs to be created with the or the attribute.

  If you want the module to contain the assembly manifest, should be the same as the name of the assembly (that is, the property of the used to create the dynamic assembly) and should be the same as the filename you specify when you save the assembly.

  In an assembly with only one module, that module should contain the assembly manifest.

  To suppress optimizations when debugging dynamic modules, apply the attribute to the dynamic assembly before calling . Create an instance of with the flag and apply it using the method. The attribute must be applied to the dynamic assembly. It has no effect if applied to the module.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a persistable dynamic module with the given name that will be saved to the specified file. No symbol information is emitted.

  A object representing the defined dynamic module.

  The name of the dynamic module. Must be less than 260 characters in length. The name of the file to which the dynamic module should be saved.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ModuleBuilder `` `` ``

  To define a persistable dynamic module, this assembly needs to be created with the or the attribute.

  If you want the module to contain the assembly manifest, should be the same as the name of the assembly (that is, the property of the used to create the dynamic assembly) and should be the same as the filename you specify when you save the assembly.

  In an assembly with only one module, that module should contain the assembly manifest.

  To suppress optimizations when debugging dynamic modules, apply the attribute to the dynamic assembly before calling . Create an instance of with the flag and apply it using the method. The attribute must be applied to the dynamic assembly. It has no effect if applied to the module.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a persistable dynamic module, specifying the module name, the name of the file to which the module will be saved, and whether symbol information should be emitted using the default symbol writer.

  A object representing the defined dynamic module.

  The name of the dynamic module. Must be less than 260 characters in length. The name of the file to which the dynamic module should be saved. If true, symbolic information is written using the default symbol writer.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Resources.IResourceWriter `` `` ``

  Fine grain resources can be added with the returned by calling .

  should not be the same as that of any other persistable module, stand-alone managed resource, or the stand-alone manifest file.

  The runtime calls the method when the dynamic assembly is saved.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a standalone managed resource for this assembly with the default public resource attribute.

  A object for the specified resource.

  The logical name of the resource. A textual description of the resource. The physical file name (.resources file) to which the logical name is mapped. This should not include a path.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Resources.IResourceWriter `` `` `` ``

  Fine-grain resources can be added with the returned by calling .

  should not be the same as that of any other persistable module, standalone managed resource, or the standalone manifest file.

  The runtime calls the method when the dynamic assembly is saved.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines a standalone managed resource for this assembly. Attributes can be specified for the managed resource.

  A object for the specified resource.

  The logical name of the resource. A textual description of the resource. The physical file name (.resources file) to which the logical name is mapped. This should not include a path. The resource attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  An assembly can be associated with only one unmanaged resource. This means that calling or after either one of the methods was called previously will throw the System.ArgumentException being throw. Multiple unmanaged resources need to be merged with a tool such as the Microsoft ResMerge utility (not supplied with the common language runtime).

  Defines an unmanaged resource for this assembly as an opaque blob of bytes.

  The opaque blob of bytes representing the unmanaged resource.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  An assembly can be associated with only one unmanaged resource. This means that calling or after either one of the methods was called previously will throw the System.ArgumentException. Multiple unmanaged resources need to be merged with a tool such as the Microsoft ResMerge utility (not supplied with the common language runtime).

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines an unmanaged resource file for this assembly given the name of the resource file.

  The name of the resource file.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  An assembly can be associated with only one unmanaged resource. This means that calling or after either one of the methods was called previously will throw the System.ArgumentException. Multiple unmanaged resources need to be merged with a tool such as the Microsoft ResMerge utility (not supplied with the common language runtime SDK).

  Empty argument strings get written as a single space. Spaces are substituted for null characters in the argument strings.

  The information is inferred from the AssemblyName object used to define this dynamic assembly. This assembly's custom attributes override information specified in the AssemblyName object.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines an unmanaged version information resource using the information specified in the assembly's AssemblyName object and the assembly's custom attributes.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  An assembly can be associated with only one unmanaged resource. This means that calling or after either one of the methods was called previously will throw the System.ArgumentException. Multiple unmanaged resources need to be merged with a tool such as the Microsoft ResMerge utility (not supplied with the common language runtime SDK).

  Empty argument strings get written as a single space. Spaces are substituted for null characters in the argument strings.

  The structure of the version resource includes data that identifies the version, language, and distribution of the file. Installation programs use the functions in the file installation library (VER.DLL) to retrieve the version information resource from a file and to extract the version information blocks from the resource.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Defines an unmanaged version information resource for this assembly with the given specifications.

  The name of the product with which this assembly is distributed. The version of the product with which this assembly is distributed. The name of the company that produced this assembly. Describes all copyright notices, trademarks, and registered trademarks that apply to this assembly. This should include the full text of all notices, legal symbols, copyright dates, trademark numbers, and so on. In English, this string should be in the format "Copyright Microsoft Corp. 1990-2001". Describes all trademarks and registered trademarks that apply to this assembly. This should include the full text of all notices, legal symbols, trademark numbers, and so on. In English, this string should be in the format "Windows is a trademark of Microsoft Corporation".
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo To be added. To be added.

  Returns the entry point of this assembly.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to the specified object.

  true if equals the type and value of this instance; otherwise, false.

  An object to compare with this instance, or null.
- Property
  4.0.0.0
  System.String To be added.

  See for a description of the format of the display name of an assembly.

  Gets the display name of the current dynamic assembly.

- Method
  4.0.0.0
  System.Object[] `` To be added.

  Returns all the custom attributes that have been applied to the current .

  An array that contains the custom attributes; the array is empty if there are no attributes.

  This argument is ignored for objects of this type.
- Method
  4.0.0.0
  System.Object[] `` `` To be added.

  Returns all the custom attributes that have been applied to the current , and that derive from a specified attribute type.

  An array that contains the custom attributes that are derived at any level from ; the array is empty if there are no such attributes.

  The base type from which attributes derive. This argument is ignored for objects of this type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.ModuleBuilder `` To be added

  Returns the dynamic module with the specified name.

  A ModuleBuilder object representing the requested dynamic module.

  The name of the requested dynamic module.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  Gets the exported types defined in this assembly.

  An array of containing the exported types defined in this assembly.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileStream ``

  should not include the path to the file.

  Gets a for the specified file in the file table of the manifest of this assembly.

  A for the specified file, or null, if the file is not found.

  The name of the specified file.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileStream[] `` To be added.

  Gets the files in the file table of an assembly manifest, specifying whether to include resource modules.

  An array of objects.

  true to include resource modules; otherwise, false.
- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  4.0.0.0
  System.Reflection.Module[] `` To be added.

  Returns all the loaded modules that are part of this assembly, and optionally includes resource modules.

  The loaded modules that are part of this assembly.

  true to include resource modules; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ManifestResourceInfo `` To be added.

  Returns information about how the given resource has been persisted.

  populated with information about the resource's topology, or null if the resource is not found.

  The name of the resource.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] To be added.

  Loads the specified manifest resource from this assembly.

  An array of type String containing the names of all the resources.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream `` To be added.

  Loads the specified manifest resource from this assembly.

  A representing this manifest resource.

  The name of the manifest resource being requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream `` ``

  The returned has its file pointer set to the beginning of the resource.

  Loads the specified manifest resource, scoped by the namespace of the specified type, from this assembly.

  A representing this manifest resource.

  The type whose namespace is used to scope the manifest resource name. The name of the manifest resource being requested.
- Method
  4.0.0.0
  System.Reflection.Module `` To be added.

  Gets the specified module in this assembly.

  The module being requested, or null if the module is not found.

  The name of the requested module.
- Method
  4.0.0.0
  System.Reflection.Module[] `` To be added.

  Gets all the modules that are part of this assembly, and optionally includes resource modules.

  The modules that are part of this assembly.

  true to include resource modules; otherwise, false.
- Method
  4.0.0.0
  System.Reflection.AssemblyName `` To be added.

  Gets the that was specified when the current dynamic assembly was created, and sets the code base as specified.

  The name of the dynamic assembly.

  true to set the code base to the location of the assembly after it is shadow-copied; false to set the code base to the original location.
- Method
  4.0.0.0
  System.Reflection.AssemblyName[]

  This method does not return a complete list of referenced assemblies. For example, if you apply a custom attribute to the , the assembly in which the attribute was defined is included in the list returned by this method. However, if you use a object to specify the type of a method parameter, that type is not included.

  To get a complete list of referenced assemblies, save the assembly, load it into another application domain, and call the method.

  Gets an incomplete list of objects for the assemblies that are referenced by this .

  An array of assembly names for the referenced assemblies. This array is not a complete list.

- Method
  4.0.0.0
  System.Reflection.Assembly ``

  Satellite assemblies contain localized resources, as distinct from main application assemblies, which contain non-localizable executable code and resources for a single culture that serve as the default or neutral culture.

  Call this method to use your current assembly version.

  Gets the satellite assembly for the specified culture.

  The specified satellite assembly.

  The specified culture.
- Method
  4.0.0.0
  System.Reflection.Assembly `` ``

  Satellite assemblies contain localized resources, as distinct from main application assemblies, which contain non-localizable executable code and resources for a single culture that serve as the default or neutral culture.

  Call the overload to use your current assembly version.

  Gets the specified version of the satellite assembly for the specified culture.

  The specified satellite assembly.

  The specified culture. The version of the satellite assembly.
- Method
  4.0.0.0
  System.Type `` `` ``

  A type cannot be found until it has been created by calling the method.

  Gets the specified type from the types that have been defined and created in the current .

  The specified type, or null if the type is not found or has not been created yet.

  The name of the type to search for. true to throw an exception if the type is not found; otherwise, false. true to ignore the case of the type name when searching; otherwise, false.
- Property
  4.0.0.0
  System.Boolean To be added.

  objects always represent dynamic assemblies, and therefore are never loaded from the global assembly cache.

  Gets a value that indicates whether the assembly was loaded from the global assembly cache.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the version of the common language runtime that will be saved in the file containing the manifest.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Returns a value that indicates whether one or more instances of the specified attribute type is applied to this member.

  true if one or more instances of is applied to this dynamic assembly; otherwise, false.

  The type of attribute to test for. This argument is ignored for objects of this type.
- Property
  4.0.0.0
  System.Boolean To be added.

  An object always represents a dynamic assembly.

  Gets a value that indicates that the current assembly is a dynamic assembly.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the location, in codebase format, of the loaded file that contains the manifest if it is not shadow-copied.

- Property
  4.0.0.0
  System.Reflection.Module To be added. To be added.

  Gets the module in the current that contains the assembly manifest.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  To emit a dynamic assembly in the reflection-only context, specify when you create the . If a dynamic assembly is emitted in the reflection-only context, its code cannot be executed.

  After you have saved a dynamic assembly to disk, you can use the method to load the completed assembly into the reflection-only context. However, the assembly can no longer be modified.

  Gets a value indicating whether the dynamic assembly is in the reflection-only context.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method saves all non-transient dynamic modules defined in this dynamic assembly. Transient dynamic modules are not saved. The assembly file name can be the same as the name of one of the modules. If so, the assembly manifest is stored within that module. can be different from the names of all of the modules contained within the assembly. If so, the assembly file contains only the assembly manifest.

  For each obtained using , this method writes the .resources file and calls to close the stream.

  The needs to be a simple file name without a drive or directory component. To create an assembly in a specific directory, use one of the methods that takes a target directory argument.

  In the .NET Framework version 2.0, this overload of the method is equivalent to calling the method overload with for the parameter and for the parameter.

  Saves this dynamic assembly to disk.

  The file name of the assembly.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  If and are incompatible, takes precedence over . No exception is thrown. For example, if you specify with , is ignored.

  This method saves all non-transient dynamic modules defined in this dynamic assembly. Transient dynamic modules are not saved. The assembly file name can be the same as the name of one of the module. If so, the assembly manifest is stored within that module. can be different from the names of all of the modules contained within the assembly. If so, the assembly file contains only the assembly manifest.

  For each obtained using , this method writes the .resources file and calls to close the stream.

  The needs to be a simple file name without a drive or directory component. To create an assembly in a specific directory, use one of the methods that takes a target directory argument.

  Saves this dynamic assembly to disk, specifying the nature of code in the assembly's executables and the target platform.

  The file name of the assembly. A bitwise combination of the values that specifies the nature of the code. One of the values that specifies the target platform.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  cannot be used to set declarative security attributes. Use one of the overloads of that takes required, optional, and refused permissions.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Set a custom attribute on this assembly using a custom attribute builder.

  An instance of a helper class to define the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  See the metadata specification in the ECMA Partition II documentation for details on how to format . The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  RuntimeConstructorInfo is a special type generated by the system. It derives from the class, and any object you obtain through reflection is actually an instance of RuntimeConstructorInfo. For information on runtime types, see Runtime Types in Reflection.

  cannot be used to set declarative security attributes. Use one of the overloads of that takes required, optional, and refused permissions.

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Set a custom attribute on this assembly using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Sets the entry point for this dynamic assembly, assuming that a console application is being built.

  A reference to the method that represents the entry point for this dynamic assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Starting with the net_v20sp1_long, this member no longer requires with the flag. (See Security Issues in Reflection Emit.) To use this functionality, your application should target the net_v35_long or later.

  Sets the entry point for this assembly and defines the type of the portable executable (PE file) being built.

  A reference to the method that represents the entry point for this dynamic assembly. The type of the assembly executable being built.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.